import { List$1 } from "./List$1";
import { Dictionary$2 } from "./Dictionary$2";
import { IEnumerable$1, IEqualityComparer$1, Base, Type } from "./type";
export declare class FastIterationDictionary$2<TKey, TValue> extends Base {
    protected $tKey: Type;
    protected $tValue: Type;
    private h;
    l: List$1<TKey>;
    n: List$1<TValue>;
    m: List$1<boolean>;
    i: Dictionary$2<TKey, number>;
    constructor($tKey: Type, $tValue: Type, a: number);
    constructor($tKey: Type, $tValue: Type, a: number, b: IEqualityComparer$1<TKey>);
    constructor($tKey: Type, $tValue: Type, a: number, ..._rest: any[]);
    p(a: TKey, b: TValue): void;
    r(): void;
    d(a: TKey): boolean;
    readonly o: number;
    readonly j: IEnumerable$1<TKey>;
    private c;
    f: boolean;
    e(a: TKey): boolean;
    private q();
    g(a: TKey, b: TValue): {
        ret: boolean;
        p1: TValue;
    };
    b(a: TKey): TValue;
    readonly k: IEnumerable$1<TValue>;
    item(a: TKey, b?: TValue): TValue;
    static $t: Type;
}
